import * as React from 'react';
import { IDateInputProps } from '@blueprintjs/datetime';
import { WidgetProps } from 'react-jsonschema-form';
declare type SupportedOptions = 'formatDate' | 'parseDate';
export declare type Props = WidgetProps & {
    options: Partial<Pick<IDateInputProps, SupportedOptions> & {
        fill: boolean;
    }>;
};
export declare class DateTimeWidget extends React.Component<Props> {
    static defaultProps: {
        options: {
            className: string;
            fill: boolean;
            timePickerProps: {};
            showActionsBar: boolean;
            formatDate: (date: Date) => string;
            parseDate: (str: string) => Date;
        };
    };
    render(): JSX.Element;
    protected _onChange: (date?: Date | undefined) => void;
}
export {};
