import * as React from 'react';
import { ITextAreaProps } from '@blueprintjs/core';
import { WidgetProps } from 'react-jsonschema-form';
declare type SupportedOptions = 'fill' | 'rows';
declare type Props = WidgetProps & Pick<ITextAreaProps, SupportedOptions>;
export declare class TextareaWidget extends React.Component<Props> {
    protected _onChange: React.ChangeEventHandler<HTMLTextAreaElement>;
    protected _onBlur: React.EventHandler<any>;
    protected _onFocus: React.EventHandler<any>;
    render(): JSX.Element;
}
export {};
