"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var core_1 = require("@blueprintjs/core");
exports.ArrayItem = function (_a) {
    var children = _a.children, disabled = _a.disabled, hasMoveDown = _a.hasMoveDown, hasMoveUp = _a.hasMoveUp, hasRemove = _a.hasRemove, hasToolbar = _a.hasToolbar, index = _a.index, onDropIndexClick = _a.onDropIndexClick, onReorderClick = _a.onReorderClick, readonly = _a.readonly;
    return React.createElement("div", { key: index, className: 'rjsf-bp3-array-item' },
        React.createElement("div", { className: 'rjsf-bp3-array-item-children' }, children),
        hasToolbar && (React.createElement("div", { className: 'rjsf-bp3-array-item-toolbar' },
            React.createElement(core_1.ButtonGroup, null,
                (hasMoveUp || hasMoveDown) && (React.createElement(React.Fragment, null,
                    React.createElement(core_1.Button, { icon: 'chevron-up', className: 'rjsf-bp3-array-item-move-up', tabIndex: -1, disabled: disabled || readonly || !hasMoveUp, onClick: onReorderClick(index, index - 1) }),
                    React.createElement(core_1.Button, { icon: 'chevron-down', className: 'rjsf-bp3-array-item-move-down', tabIndex: -1, disabled: disabled || readonly || !hasMoveDown, onClick: onReorderClick(index, index + 1) }))),
                (hasRemove) && (React.createElement(core_1.Button, { icon: 'cross', className: 'rjsf-bp3-array-item-remove', intent: 'danger', tabIndex: -1, disabled: disabled || readonly, onClick: onDropIndexClick(index) }))))));
};
//# sourceMappingURL=ArrayItem.js.map