"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var DateTimeWidget_1 = require("./DateTimeWidget");
var DateWidget = /** @class */ (function (_super) {
    tslib_1.__extends(DateWidget, _super);
    function DateWidget() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this._onChange = function (date) {
            return _this.props.onChange(date ? date.substring(0, date.indexOf('T')) : undefined);
        };
        return _this;
    }
    DateWidget.prototype.render = function () {
        return (React.createElement(DateTimeWidget_1.DateTimeWidget, tslib_1.__assign({}, this.props, { options: tslib_1.__assign({}, this.props.options, { timePickerProps: undefined }), onChange: this._onChange })));
    };
    DateWidget.defaultProps = {
        options: tslib_1.__assign({}, DateTimeWidget_1.DateTimeWidget.defaultProps.options, { formatDate: function (date) { return date.toLocaleDateString(); } })
    };
    return DateWidget;
}(React.Component));
exports.DateWidget = DateWidget;
//# sourceMappingURL=DateWidget.js.map