import * as React from 'react';
import { IHTMLSelectProps } from '@blueprintjs/core';
import { WidgetProps } from 'react-jsonschema-form';
declare type SupportedOptions = 'fill';
declare type Props = WidgetProps & {
    multiple: any;
    options: Pick<IHTMLSelectProps, SupportedOptions> & {
        enumOptions: Array<{
            value: string;
            label: string;
        }>;
        enumDisabled?: string[];
    };
};
export declare class SelectWidget extends React.Component<Props> {
    render(): JSX.Element;
    protected _onBlur: React.EventHandler<any>;
    protected _onFocus: React.EventHandler<any>;
    protected _onChange: React.EventHandler<any>;
}
export {};
