import * as tslib_1 from "tslib";
import * as React from 'react';
import { DateInput } from '@blueprintjs/datetime';
var DateTimeWidget = /** @class */ (function (_super) {
    tslib_1.__extends(DateTimeWidget, _super);
    function DateTimeWidget() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this._onChange = function (date) {
            return _this.props.onChange(date ? date.toJSON() : undefined);
        };
        return _this;
    }
    DateTimeWidget.prototype.render = function () {
        var _a = this.props, value = _a.value, options = _a.options;
        return (React.createElement(DateInput, tslib_1.__assign({ value: value ? new Date(value) : undefined, onChange: this._onChange, popoverProps: { className: options.fill ? 'bp3-fill' : undefined }, inputProps: { className: options.fill ? 'bp3-fill' : undefined } }, options)));
    };
    DateTimeWidget.defaultProps = {
        options: {
            className: 'rjsf-bp3-date-input',
            fill: true,
            timePickerProps: {},
            showActionsBar: true,
            formatDate: function (date) { return date.toLocaleString(); },
            parseDate: function (str) { return new Date(str); }
        }
    };
    return DateTimeWidget;
}(React.Component));
export { DateTimeWidget };
//# sourceMappingURL=DateTimeWidget.js.map